Subject: Re: [PATCH] gitweb: convert from perl internal to utf8 for commitdiff_plain

From: Yasushi SHOJI <[email-masked]>
Date: Tue, 29 Jan 2008 14:45:56 +0900

At Mon, 28 Jan 2008 21:39:27 -0800,
Junio C Hamano wrote:
> 
> Yasushi SHOJI <[email-masked]> writes:
> 
> > This patch effectively revert the commitdiff plain part of the commit
> >
> > 	59b9f61a3f76762dc975e99cc05335a3b97ad1f9
> >
> > which converted from print to here-doc. but it doesn't
> > explain why in the commit log.
> 
> I think the patch makes sense but the above is misleading.  Read
> it again.
> 
> Doesn't it sound like you are accusing that 59b9f61a introduced
> a regression when it converted existsing "print utf8()" to
> "print <<here-doc" without saying that is what it is doing?

sorry about my stupid english.  What I meant was that because commit
log doesn't say _why_ it changed to here-doc, I couldn't be sure it
was ok to overwrite the change introduced by the commit 59b9f61a3.

IOW, I was tring to ask, "is it ok to revert back to print?"
-- 
         yashi